commit 407970fdd3f5fefb2d2a2e6419a03e22025ebdd9
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Tue Nov 26 10:31:49 2024 +0100

    testsuite: arm: Use correct the expected asm in epilog-1.c test
    
    In r14.2.0-376-g724446556e5, I accidentally introduced a regression in
    the expected assembler as the csinc instruction was not used for
    armv8.1-m.main.
    
    The generated assembler for armv8.1-m.main is:
            push    {r3, r4, r5, lr}
            ldr     r4, .L5
            ldr     r5, [r4]
            adds    r4, r2, #1
            tst     r5, #4
            it      ne
            movne   r2, r4
            bl      bar
            movs    r0, #0
            pop     {r3, r4, r5, pc}
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/epilog-1.c: Corrected armv8.1.m-main asm.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>

diff --git a/gcc/testsuite/gcc.target/arm/epilog-1.c b/gcc/testsuite/gcc.target/arm/epilog-1.c
index a1516456460..d765dc42b82 100644
--- a/gcc/testsuite/gcc.target/arm/epilog-1.c
+++ b/gcc/testsuite/gcc.target/arm/epilog-1.c
@@ -20,8 +20,10 @@ Below block is for non-armv8.1-m.main
 ** |
 
 Below block is for armv8.1-m.main
+**	adds	(r[0-9]+), r2, #1
 **	tst	r[0-9]+, #4
-**	csinc	r2, r2, r2, eq
+**	it	ne
+**	movne	r2, \1
 
 ** )
 **	bl	bar

